Skip to main content
POST
/
members
/
{id}
/
invite
Invite a member
curl --request POST \
  --url https://www.ruddr.io/api/workspace/members/{id}/invite \
  --header 'Authorization: Bearer <token>'
{
  "id": "d2e30834-2092-4d8b-aae8-1f58fa4594cb",
  "name": "Jane Smith",
  "email": "jane.smith@example.com",
  "isActive": true,
  "isBillable": true,
  "loginEnabled": true,
  "invitationStatusId": "invited",
  "employmentTypeId": "employee",
  "costMethodId": "fixed_hourly",
  "defaultRate": 150,
  "defaultRateCurrency": "USD",
  "activeStartDate": "2025-01-15",
  "activeEndDate": "2027-06-30",
  "timeOffAllowed": true,
  "allowedTimeOffTypes": "all",
  "timeOffApprovalMode": "auto",
  "receiveMissingTimeReminders": true,
  "unsubmittedTimesheetReminders": true,
  "timesheetCapacityPolicy": "unrestricted",
  "internalId": "EMP-001",
  "internalNotes": "Senior consultant with expertise in cloud architecture.",
  "createdAt": "2025-01-15T20:47:03.284Z",
  "trackTimeByDuration": true,
  "trackTimeByTimeRange": false,
  "jobTitle": {
    "id": "a1b2c3d4-e5f6-4789-ab01-234567890abc",
    "name": "Senior Consultant"
  },
  "level": {
    "id": "b2c3d4e5-f6a7-4890-bc12-345678901bcd",
    "name": "Senior"
  },
  "discipline": {
    "id": "c3d4e5f6-a7b8-4901-cd23-456789012cde",
    "name": "Engineering"
  },
  "practice": {
    "id": "d4e5f6a7-b8c9-4012-de34-567890123def",
    "name": "Consulting"
  },
  "location": {
    "id": "e5f6a7b8-c9d0-4123-ef45-678901234ef0",
    "name": "San Francisco"
  },
  "manager": {
    "id": "f6a7b8c9-d0e1-4234-f056-789012345f01",
    "name": "Robert Chen"
  },
  "timeOffApprover": {
    "id": "f6a7b8c9-d0e1-4234-f056-789012345f01",
    "name": "Robert Chen"
  },
  "holidaySchedule": {
    "id": "a7b8c9d0-e1f2-4345-0167-890123456a12",
    "name": "US Holidays"
  },
  "securityRole": {
    "id": "b8c9d0e1-f2a3-4456-1278-901234567b23",
    "name": "Member"
  },
  "tags": [
    {
      "id": "c9d0e1f2-a3b4-4567-2389-012345678c34",
      "name": "Billable"
    }
  ],
  "certifications": [
    {
      "id": "d0e1f2a3-b4c5-4678-34ab-123456789d45",
      "name": "AWS Certified Solutions Architect"
    }
  ],
  "skills": [
    {
      "id": "e1f2a3b4-c5d6-4789-45bc-234567890e56",
      "name": "Python"
    }
  ],
  "availabilityPeriods": [
    {
      "id": "f2a3b4c5-d6e7-4890-56cd-345678901f67",
      "start": "2025-01-15",
      "end": "2026-12-31",
      "hoursPerDay": [
        0,
        8,
        8,
        8,
        8,
        8,
        0
      ]
    }
  ],
  "timeOffTypes": [
    {
      "id": "a3b4c5d6-e7f8-4901-67de-456789012a78",
      "name": "Vacation"
    }
  ],
  "costPeriods": [
    {
      "id": "b4c5d6e7-f8a9-4012-78ef-567890123b89",
      "start": "2025-01-15",
      "end": "2026-12-31",
      "currency": "USD",
      "costPerHour": 100,
      "overheadCostPerHour": 20,
      "totalCostPerHour": 120,
      "currencyName": "US Dollar"
    }
  ],
  "utilizationTargetPeriods": [
    {
      "id": "c5d6e7f8-a9b0-4123-89f0-678901234c90",
      "start": "2025-01-15",
      "end": "2026-12-31",
      "targetPercentage": 80
    }
  ],
  "forbidTimesheetSubmissionWhenBelowCapacity": false
}
A person that belongs to your workspace.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The member uuid

Response

200

id
string

The unique identifier for the object.

name
string

The name of the member.

email
string

The email address of the member.

isActive
boolean

Whether the member is active in the system.

isBillable
boolean

Whether the member is billable.

loginEnabled
boolean

Whether the member can log into the workspace.

invitationStatusId
enum<string>

The invitation status of the member.

Available options:
not_invited,
invited,
accepted
employmentTypeId
enum<string>

The type of employment for this member.

Available options:
employee,
contractor,
other
costMethodId
enum<string>

Deprecated. The cost method for the member.

Available options:
hourly,
fixed_hourly,
fixed_monthly
defaultRate
number<float> | null

The default bill rate for the member.

defaultRateCurrency
string

The currency code for the default rate.

activeStartDate
string<date> | null

The active start date (YYYY-MM-DD) of the member.

activeEndDate
string<date> | null

The active end date (YYYY-MM-DD) of the member.

timeOffAllowed
boolean

Whether the member is allowed to create time-off time entries.

allowedTimeOffTypes
enum<string>

The allowed time off types for time-off entries. Possible values are: "all" or "custom".

Available options:
all,
custom
timeOffApprovalMode
enum<string>

The approval mode for time-off time entries.

Available options:
auto,
manager,
member
receiveMissingTimeReminders
boolean

Whether the member receives missing time reminders.

unsubmittedTimesheetReminders
boolean

Whether the member receives reminders for unsubmitted timesheets.

timesheetCapacityPolicy
enum<string>

The timesheet capacity policy.

Available options:
unrestricted,
timesheet,
week
internalId
string | null

An extra identifier field for tracking this member against other systems.

internalNotes
string | null

An area to store extra notes about the member.

createdAt
string<date-time>

The timestamp when the object was created.

trackTimeByDuration
boolean

Whether the member can track time by entering a duration.

trackTimeByTimeRange
boolean

Whether the member can track time by entering a start and end time.

jobTitle
object

The job title assigned to the member.

level
object

The member level assigned to the member.

discipline
object

The discipline assigned to the member.

practice
object

The practice assigned to the member.

location
object

The location assigned to the member.

manager
object

The member's direct manager.

timeOffApprover
object

The member designated to approve time-off requests. Only populated when timeOffApprovalMode is "member".

holidaySchedule
object

The holiday schedule assigned to the member.

securityRole
object

The security role assigned to the member.

tags
object[]

The list of member tags assigned to this member.

certifications
object[]

The list of certifications assigned to this member.

skills
object[]

The list of skills assigned to this member.

availabilityPeriods
object[]

The list of availability periods defining how many hours per day the member is available.

timeOffTypes
object[]

The list of time off types allowed for this member. Only populated when allowedTimeOffTypes is "custom".

costPeriods
object[]

The list of cost periods defining the member's cost over time.

utilizationTargetPeriods
object[] | null

The list of utilization target periods. null if the utilization feature is not enabled.

forbidTimesheetSubmissionWhenBelowCapacity
boolean

Legacy. A computed flag derived from timesheetCapacityPolicy. true when the policy is "timesheet" or "week". Use timesheetCapacityPolicy instead.